--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Defines class-level and instance-level attribute reader.
- !ruby/struct:SM::Flow::P 
  body: "@param *syms&lt;Array&gt; Array of attributes to define reader for. @return &lt;Array[#to_s]&gt; List of attributes that were made into cattr_readers"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
- !ruby/struct:SM::Flow::P 
  body: "@todo Is this inconsistent in that it does not allow you to prevent"
- !ruby/struct:SM::Flow::VERB 
  body: "  an instance_reader via :instance_reader =&gt; false\n"
full_name: Class#cattr_reader
is_singleton: false
name: cattr_reader
params: (*syms)
visibility: public
